Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 623843 - (CVE-2010-2992, CVE-2010-2993) CVE-2010-2992 CVE-2010-2993 wireshark: 1.2.10 corrects multiple vulnerabilities
CVE-2010-2992 CVE-2010-2993 wireshark: 1.2.10 corrects multiple vulnerabilities
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100729,reported=20100729,sou...
: Security
Depends On: 549580
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-12 19:20 EDT by Vincent Danen
Modified: 2014-04-22 16:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-22 16:32:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-08-12 19:20:08 EDT
Upstream has released wireshark 1.2.10 [1] which corrects a number of vulnerabilities:

The SigComp Universal Decompressor Virtual Machine could overrun a buffer. (Bug 4867) 
Versions affected: 0.10.8 to 1.0.14, 1.2.0 to 1.2.9 
CVE-2010-2995

Due to a regression the ASN.1 BER dissector could exhaust stack memory. (Bug 4984) 
Versions affected: 0.10.13 to 1.0.14, 1.2.0 to 1.2.9 
CVE-2010-2994

The GSM A RR dissector could crash. (Bug 4897) 
Versions affected: 1.2.2 to 1.2.9 CVE-2010-2992

The IPMI dissector could go into an infinite loop. (Bug 5053) 
Versions affected: 1.2.0 to 1.2.9 CVE-2010-2993


Current Fedora 12 and 13 are vulnerable to these issues.  CVE-2010-2995 is already tracked via bug #604308 and CVE-2010-2994 only applies to releases of wireshark 1.2.9 that claimed to fix CVE-2284 (bug #604292).  As we did not make any releases of 1.2.9, that CVE should not be used in any updates.

[1] http://www.wireshark.org/security/wnpa-sec-2010-08.html

Note You need to log in before you can comment on or make changes to this bug.